package com.acemondstudios.rootine.UI.Activities

import android.content.Intent
import android.os.Bundle
import android.os.Handler
import androidx.appcompat.app.AppCompatActivity
import com.acemondstudios.rootine.Database.DBEngine
import com.acemondstudios.rootine.R


class SplashActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_splash)
    }

    override fun onStart() {
        super.onStart()// Database initialization

        val dbEngine: DBEngine = DBEngine(this)
        dbEngine.writableDatabase

        Handler().postDelayed(
            {

                startTabbedActivity()
                // close this activity
            }, 1000
        )
    }

    private fun startTabbedActivity(){
        val intent = Intent(this, TabActivity::class.java)
        startActivity(intent)
        finish()
    }
}
